# Reference Accounts

All reference account related paths

## Get reference accounts of a user

 - [GET /users/{user_id}/payments/reference_accounts](https://docs.upvest.co/api/release/upvest-investment-api.v1/reference-accounts/list_reference_accounts.md): Returns the list of reference accounts of a user specified by ID.

## Create a reference account

 - [POST /payments/reference_accounts](https://docs.upvest.co/api/release/upvest-investment-api.v1/reference-accounts/create_reference_account.md): Creates a new reference account for a user specified by ID.

## Get a reference account by ID

 - [GET /payments/reference_accounts/{reference_account_id}](https://docs.upvest.co/api/release/upvest-investment-api.v1/reference-accounts/retrieve_reference_account.md): Retrieves the reference account specified by its ID.

## Delete a reference account by ID

 - [DELETE /payments/reference_accounts/{reference_account_id}](https://docs.upvest.co/api/release/upvest-investment-api.v1/reference-accounts/delete_reference_account.md): Deletes the reference account specified by its ID.

